mia-3dmaskseeded
Prev | Analysis, filtering, combining, and segmentation of 3D images | Next

### mia-3dmaskseeded

#### Sysnopis:

`mia-3dmaskseeded` {-i `io`} {-o `io`} [ `options` ...]

#### Description:

3D image segmentation based on region growing from a seed point. Neighboring points are added, either when their intensity is equal or higher than that of the seed point, or of the intensity is lower or equal then that of the neighboring point. After region growing is finished, this mask is used to zero out the region in the original image yielding the resulting image.

#### Options:

-i, --in-file=(input, required); io

  input image(s) to be filtered. For supported file types see Plugin type: 3dimage/io

-o, --out-file=(output, required); io

  output image(s) that have been filtered. For supported file types see Plugin type: 3dimage/io

-s, --seed=[0,0,0]; 3dbounds

  seed point

-n, --neighborhood=6n; factory

  neighborhood shape. For supported plug-ins see Plugin type: 3dimage/shape

#### Help & Info

-V, --verbose=warning; dict

  verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:

  trace: | Function call trace
  debug: | Debug output
  info: | Low level messages
  message: | Normal messages
  warning: | Warnings
  fail: | Report test failures
  error: | Report errors
  fatal: | Report only fatal errors

--copyright=(); bool

  print copyright information

-h, --help=(); bool

  print this help

-?, --usage=(); bool

  print a short help

--version=(); bool

  print the version number and exit

#### Processing

--threads=-1; int

  Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).

#### Example:

Run a region growing on input.v starting at point <10,23,21> and use the 18n neighbourhood.

    mia-3dmaskseeded -i image.v -o masked.v -s '<10,23,21>' -n 18n

#### Author(s):

Gert Wollny

Prev | Up | Next
mia-3dlerp | Home | mia-3dpropose-boundingbox